Page MenuHomePhabricator

NPTv6 not Working / Invalid Syntax
Closed, ResolvedPublicBUG

Description

Hey,

NPTv6 seems to not work, due to an ip6tables syntax.

Config:

set nat nptv6 rule 10 source prefix 2001:db8:ffff:ffff::/64
set nat nptv6 rule 10 outbound-interface eth0
set nat nptv6 rule 10 translation prefix 2001:db8:1111:1111::1/64

Error:

vyos@office01-lon01# commit
[ nat nptv6 ]
ip6tables: Invalid argument. Run `dmesg' for more information.

[[nat]] failed
Commit failed

Details

Difficulty level
Easy (less than an hour)
Version
VyOS 1.2.0-rolling+201903090337
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

MrFunken created this task.Mar 10 2019, 1:38 PM
pasik added a subscriber: pasik.Mar 12 2019, 5:18 PM
dmbaturin closed this task as Resolved.Mar 26 2019, 1:30 AM
dmbaturin claimed this task.
dmbaturin added a subscriber: dmbaturin.

The packages were out of sync with reality for some time. Should be fine now.